View Issue Details

IDProjectCategoryView StatusLast Update
0003842GNUnetutil librarypublic2018-06-07 00:24
ReporterellAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSOS VersionXubuntu 14.04
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003842: Error: util-3140, Revision 35949
DescriptionIn gnunet.log this messages loop:
....
Jun 18 12:22:23-397327 cadet-3084 ERROR Assertion failed at gnunet-service-cadet_peer.c:2178.
Jun 18 12:22:23-422554 util-3139 WARNING `bind' failed for `/tmp/gnunet-system-runtime//gnunet-service-cadet.sock': address already in use
Jun 18 12:22:23-422721 util-3139 ERROR `bind' failed at server.c:616 with error: Address already in use
Jun 18 12:22:24-242858 cadet-3139 ERROR Assertion failed at gnunet-service-cadet_peer.c:2178.
Jun 18 12:22:24-261162 util-3140 WARNING `bind' failed for `/tmp/gnunet-system-runtime//gnunet-service-cadet.sock': address already in use
Jun 18 12:22:24-268645 util-3140 ERROR `bind' failed at server.c:616 with error: Address already in use
...
TagsNo tags attached.

Relationships

related to 0003794 closedBart Polot cadet use after free valgrind report (on shutdown, with crash) 
related to 0003723 closedChristian Grothoff cadet leaves sock file around (and only cadet) 

Activities

ell

2015-06-18 13:46

reporter   ~0009292

Here are the permissions:

ell@Xubu-14:/tmp/gnunet-system-runtime$ ll
insgesamt 8
drwxr-xr-x 2 gnunet gnunet 4096 Jun 18 12:19 ./
drwxrwxrwt 10 root root 4096 Jun 18 13:39 ../
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-ats.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:05 gnunet-service-cadet.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-consensus.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-conversation.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-core.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-datastore.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-dht.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-dns.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-dv.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-fs.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-mesh.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-multicast.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-namecache.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-nse.unix=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-peerinfo.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-peerstore.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-psyc.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-psycstore.sock=
srwxrwxrwx 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-regex.sock=
srwxrwxrwx 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-resolver.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-revocation.unix=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-scalarproduct-alice.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-scalarproduct-bob.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-sensordashboard.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-sensor.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-set.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-social.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-statistics.sock=
srwxrwx--- 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-transport.sock=
srwx------ 1 gnunet gnunet 0 Jun 18 12:19 gnunet-service-vpn.sock=
ell@Xubu-14:/tmp/gnunet-system-runtime$

Christian Grothoff

2017-02-26 01:52

manager   ~0011852

It's not a permissions issue, you clearly have an 'old' CADET process still running hooking the path. Should be fixed by killing the old CADET -- and also by us (as the CADET rewrite means CADET is now much less likely to misbehave like that).

Issue History

Date Modified Username Field Change
2015-06-18 12:40 ell New Issue
2015-06-18 13:46 ell Note Added: 0009292
2015-06-19 06:52 Christian Grothoff Relationship added related to 0003723
2015-06-19 06:52 Christian Grothoff Relationship added related to 0003794
2015-06-22 21:36 Christian Grothoff Status new => confirmed
2017-02-26 01:52 Christian Grothoff Note Added: 0011852
2017-02-26 01:52 Christian Grothoff Assigned To => Christian Grothoff
2017-02-26 01:52 Christian Grothoff Status confirmed => resolved
2017-02-26 01:52 Christian Grothoff Resolution open => fixed
2017-02-26 01:52 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-26 01:52 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed